Import call logs (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /extraction/case/import-call-logs

Desktop plumbing: registers the device on the caller's case and stores the given call-log conversations and their calls. Returns how many conversations and messages were imported.

application/json

Body Required

  • deviceId string Required
  • deviceType string Required

    Values are unknown, android, ios, facebook_dump, instagram_dump, threads_dump, or email.

  • deviceMetadata object
  • systemId string Required
  • appVersion string Required
  • osDetails object
    Hide osDetails attributes Show osDetails attributes object
    • arch string
    • platform string
    • version string
    • osType string
    • machine string
    • totalMemory number
    • cpus object Required
    • extraInformation object Required
  • conversations array[object] Required
    Hide conversations attributes Show conversations attributes object
    • id object Required
    • guid string
    • chatName string
    • displayName string
    • name string
    • number string
    • lastMessageId object
    • date object
    • contacts array[object]
      Hide contacts attributes Show contacts attributes object
      • id object Required
      • fullName string
      • name string
      • first string
      • middle string
      • last string
      • email string
      • address string
      • city string
      • country string
      • phoneNumbers string
      • iphone string
      • phoneWork string
      • phoneMobile string
      • phoneHome string
      • profileImagePath string
    • sendersNotInContact array[string]
    • messages array[object] Required
      Hide messages attributes Show messages attributes object
      • id object Required
      • duration object
      • date string Required
      • sender string
      • address string
      • callSource string
      • contact object
      • isFromMe boolean Required
      • isDelivered boolean
      • isDeleted boolean
      • isArchive boolean
      • isFinished boolean
      • isSpam boolean
      • isSticker boolean
      • isEmpty boolean

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /extraction/case/import-call-logs
curl \
 --request POST 'http://api.example.com/extraction/case/import-call-logs' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "deviceId": "string",
  "deviceType": "unknown",
  "deviceMetadata": {},
  "systemId": "string",
  "appVersion": "string",
  "osDetails": {
    "arch": "string",
    "platform": "string",
    "version": "string",
    "osType": "string",
    "machine": "string",
    "totalMemory": 42.0,
    "cpus": {},
    "extraInformation": {}
  },
  "conversations": [
    {
      "id": {},
      "guid": "string",
      "chatName": "string",
      "displayName": "string",
      "name": "string",
      "number": "string",
      "lastMessageId": {},
      "date": {},
      "contacts": [
        {
          "id": {},
          "fullName": "string",
          "name": "string",
          "first": "string",
          "middle": "string",
          "last": "string",
          "email": "string",
          "address": "string",
          "city": "string",
          "country": "string",
          "phoneNumbers": "string",
          "iphone": "string",
          "phoneWork": "string",
          "phoneMobile": "string",
          "phoneHome": "string",
          "profileImagePath": "string"
        }
      ],
      "sendersNotInContact": [
        "string"
      ],
      "messages": [
        {
          "id": {},
          "duration": {},
          "date": "string",
          "sender": "string",
          "address": "string",
          "callSource": "string",
          "contact": {},
          "isFromMe": true,
          "isDelivered": true,
          "isDeleted": true,
          "isArchive": true,
          "isFinished": true,
          "isSpam": true,
          "isSticker": true,
          "isEmpty": true
        }
      ]
    }
  ]
}'
Request examples
{
  "deviceId": "string",
  "deviceType": "unknown",
  "deviceMetadata": {},
  "systemId": "string",
  "appVersion": "string",
  "osDetails": {
    "arch": "string",
    "platform": "string",
    "version": "string",
    "osType": "string",
    "machine": "string",
    "totalMemory": 42.0,
    "cpus": {},
    "extraInformation": {}
  },
  "conversations": [
    {
      "id": {},
      "guid": "string",
      "chatName": "string",
      "displayName": "string",
      "name": "string",
      "number": "string",
      "lastMessageId": {},
      "date": {},
      "contacts": [
        {
          "id": {},
          "fullName": "string",
          "name": "string",
          "first": "string",
          "middle": "string",
          "last": "string",
          "email": "string",
          "address": "string",
          "city": "string",
          "country": "string",
          "phoneNumbers": "string",
          "iphone": "string",
          "phoneWork": "string",
          "phoneMobile": "string",
          "phoneHome": "string",
          "profileImagePath": "string"
        }
      ],
      "sendersNotInContact": [
        "string"
      ],
      "messages": [
        {
          "id": {},
          "duration": {},
          "date": "string",
          "sender": "string",
          "address": "string",
          "callSource": "string",
          "contact": {},
          "isFromMe": true,
          "isDelivered": true,
          "isDeleted": true,
          "isArchive": true,
          "isFinished": true,
          "isSpam": true,
          "isSticker": true,
          "isEmpty": true
        }
      ]
    }
  ]
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}